package il.ac.tau.cs.sw1.sortedset;

import java.util.Iterator;

/**
 * An iterator over a sorted collection. The iterator will traverse 
 * the elements in ascending element order. All elements in the  
 * collection must implement the Comparable interface. 
 * @see <a href="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html">Iterator</a>
 * @see <a href="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html">Comparable</a>
 */
public interface SortedIterator<T extends Comparable<T>> extends Iterator<T> {
}
